Sign inGet started

Skills

GET
/workspaces/{workspaceId}/inbox/skills
List Agent Skills
Parametry zapytania
limit
integer
Limits the number of results to return.
pageToken
string
The cursor that keeps track of the current position in the results.
reverse
boolean
Reverses the order in which the results are returned.
Treść odpowiedzi
nextPageToken
string
The token to fetch the next page of results. If empty, there are no more results to fetch.
results
array of object
wymagane
Pokaż atrybuty podrzędne
results.createdAt
string
wymagane
results.createdBy
string
wymagane
results.description
string
wymagane
results.id
string
wymagane
results.name
string
wymagane
results.updatedAt
string
wymagane
results.updatedBy
string
wymagane
results.valueType
string
wymagane
AgentSkillValueType defines how can the Values of a Skill can be selected.
Possible values: single, multiple, boolean
results.values
array of object
wymagane
Pokaż atrybuty podrzędne
results.values.createdAt
string
wymagane
results.values.icon
string
wymagane
results.values.id
string
wymagane
results.values.value
string
wymagane
results.workspaceId
string
wymagane
Przykład kodu
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/inbox/skills' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
POST
/workspaces/{workspaceId}/inbox/skills
Create Agent Skill
Treść żądania
name
string
wymagane
description
string
wymagane
valueType
string
wymagane
AgentSkillValueType defines how can the Values of a Skill can be selected.
Possible values: single, multiple, boolean
values
array of object
wymagane
Pokaż parametry podrzędne
values.value
string
wymagane
values.icon
string
wymagane
Treść odpowiedzi
createdAt
string
wymagane
createdBy
string
wymagane
description
string
wymagane
id
string
wymagane
name
string
wymagane
updatedAt
string
wymagane
updatedBy
string
wymagane
valueType
string
wymagane
AgentSkillValueType defines how can the Values of a Skill can be selected.
Possible values: single, multiple, boolean
values
array of object
wymagane
Pokaż atrybuty podrzędne
values.createdAt
string
wymagane
values.icon
string
wymagane
values.id
string
wymagane
values.value
string
wymagane
workspaceId
string
wymagane
Przykład kodu
curl -X POST 'https://api.bird.com/workspaces/{workspaceId}/inbox/skills' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/workspaces/{workspaceId}/inbox/skills/{agentSkillId}
Get Agent Skill
Treść odpowiedzi
createdAt
string
wymagane
createdBy
string
wymagane
description
string
wymagane
id
string
wymagane
name
string
wymagane
updatedAt
string
wymagane
updatedBy
string
wymagane
valueType
string
wymagane
AgentSkillValueType defines how can the Values of a Skill can be selected.
Possible values: single, multiple, boolean
values
array of object
wymagane
Pokaż atrybuty podrzędne
values.createdAt
string
wymagane
values.icon
string
wymagane
values.id
string
wymagane
values.value
string
wymagane
workspaceId
string
wymagane
Przykład kodu
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/inbox/skills/{agentSkillId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
PATCH
/workspaces/{workspaceId}/inbox/skills/{agentSkillId}
Update Agent Skill
Treść żądania
name
string
description
string
valueType
string
AgentSkillValueType defines how can the Values of a Skill can be selected.
Possible values: single, multiple, boolean
values
array of object
Pokaż parametry podrzędne
values.id
string
values.value
string
values.icon
string
values.createdAt
string
Treść odpowiedzi
createdAt
string
wymagane
createdBy
string
wymagane
description
string
wymagane
id
string
wymagane
name
string
wymagane
updatedAt
string
wymagane
updatedBy
string
wymagane
valueType
string
wymagane
AgentSkillValueType defines how can the Values of a Skill can be selected.
Possible values: single, multiple, boolean
values
array of object
wymagane
Pokaż atrybuty podrzędne
values.createdAt
string
wymagane
values.icon
string
wymagane
values.id
string
wymagane
values.value
string
wymagane
workspaceId
string
wymagane
Przykład kodu
curl -X PATCH 'https://api.bird.com/workspaces/{workspaceId}/inbox/skills/{agentSkillId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
DELETE
/workspaces/{workspaceId}/inbox/skills/{agentSkillId}
Delete Agent Skill
Przykład kodu
curl -X DELETE 'https://api.bird.com/workspaces/{workspaceId}/inbox/skills/{agentSkillId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'